import { jsx } from "react/jsx-runtime";
import { Basket as Basket$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Basket = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Basket", ...props, children: /* @__PURE__ */ jsx(Basket$1, { weight: variant }) });
  }
);
Basket.displayName = "Basket";
Object.assign(Basket, { isGdsIcon: true });
export {
  Basket
};
